<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_generator', language 'en_us_k12', version '4.4'.
 *
 * @package     tool_generator
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['courseexplanation'] = 'This tool creates standard test classes that include many
sections, activities, and files.

This is intended to provide a standardised measure for checking the reliability
and performance of various system components (such as backup and restore).

This test is important because there have been many cases previously where,
faced with real-life use cases (e.g. a class with 1,000 activities), the system
does not work.

Classes created using this feature can occupy a large amount of database and
filesystem space (tens of gigabytes). You will need to delete the classes
(and wait for various cleanup runs) to release this space again.

**Do not use this feature on a live system**. Use only on a developer server.
(To avoid accidental use, this feature is disabled unless you have also selected
DEVELOPER debugging level.)';
$string['coursewithoutusers'] = 'The selected class has no users';
$string['createcourse'] = 'Create class';
$string['creating'] = 'Creating class';
$string['error_nocourses'] = 'There are no classes to generate the test plan';
$string['error_noforumdiscussions'] = 'The selected class does not contain forum discussions';
$string['error_noforuminstances'] = 'The selected class does not contain forum module instances';
$string['error_noforumreplies'] = 'The selected class does not contain forum replies';
$string['error_nonexistingcourse'] = 'The specified class does not exist';
$string['error_nopageinstances'] = 'The selected class does not contain page module instances';
$string['fullname'] = 'Test class: {$a->size}';
$string['maketestcourse'] = 'Make test class';
$string['notenoughusers'] = 'The selected class does not have enough users';
$string['progress_coursecompleted'] = 'Class completed ({$a}s)';
$string['progress_createcourse'] = 'Creating class {$a}';
$string['progress_enrol'] = 'Enrolling users into class ({$a})';
$string['sitesize_0'] = 'XS (~10MB; 3 classes, created in ~30 seconds)';
$string['sitesize_1'] = 'S (~50MB; 8 classes, created in ~2 minutes)';
$string['sitesize_2'] = 'M (~200MB; 73 classes, created in ~10 minutes)';
$string['sitesize_3'] = 'L (~1\'5GB; 277 classes, created in ~1\'5 hours)';
$string['sitesize_4'] = 'XL (~10GB; 1065 classes, created in ~5 hours)';
$string['sitesize_5'] = 'XXL (~20GB; 4177 classes, created in ~10 hours)';
$string['size'] = 'Size of class';
$string['targetcourse'] = 'Test target class';
$string['testplanexplanation'] = 'This tool creates a JMeter test plan file along with the user credentials file.

This test plan is designed to work along with {$a}, which makes easier to run the test plan in a specific Moodle environment, gathers information about the runs and compares the results, so you will need to download it and use it\'s test_runner.sh script or follow the installation and usage instructions.

You need to set a password for the class users in config.php (e.g. $CFG->tool_generator_users_password = \'moodle\';). There is no default value for this password to prevent unintended usages of the tool. You need to use the update passwords option in case your class users have other passwords or they were generated by tool_generator but without setting a $CFG->tool_generator_users_password value.

It is part of tool_generator so it works well with the classes generated by the classes and the site generators, it can
also be used with any class that contains, at least:

* Enough enrolled users (depends on the test plan size you select) with the password reset to \'moodle\'
* A page module instance
* A forum module instance with at least one discussion and one reply

You might want to consider your servers capacity when running large test plans as the amount to load generated by JMeter
can be specially big. The ramp up period has been adjusted according to the number of threads (users) to reduce this kind
of issues but the load is still huge.

**Do not run the test plan on a live system**. This feature only creates the files to feed JMeter so is not dangerous by
itself, but you should **NEVER** run this test plan in a production site.';
$string['updateuserspassword'] = 'Update class users password';
$string['updateuserspassword_help'] = 'JMeter needs to login as the class users, you can set the users password using $CFG->tool_generator_users_password in config.php; this setting updates the class user\'s password according to $CFG->tool_generator_users_password. It can be useful in case you are using a class not generated by tool_generator or $CFG->tool_generator_users_password was not set when you created the test classes.';
